<template>
	<view :style="'padding-top:'+nvaHeight+'px;'">
		<view class="navbox">
			<view class="plr12 mt18">
				<view class="search flex0 mb10">
					<image :src="searchimg"></image>
					<input placeholder="输入关键字进行查询" v-model="title" @confirm="getConfirm"/>
				</view>
			</view>
			<view class="tablists flexc mb20">
				<block v-for="(ite,idx) in tabList" >
					<view  v-if="!ite.limit||ite.limit&&checkPermi([ite.limit])" @click="getTabFn(ite)" :class="{act:tabidx==ite.val}" :key="idx">{{ite.tit}}</view>
				</block>
			</view>
			<view style="height: 56rpx;"></view>
			<view class="lbtab flexc">
				<image :src="lbicoimg" class="limg"></image>
				<view class="lbtabs flexc">
					<!-- <view class="lbtabp">
						<picker  range-key='label' :value="tajdidx" :range="tajdlist"  @change='bindDateChanged'>
							<view :class="tajd?'':'f16 co80'">{{tajd || "办理进度"}}</view>
						</picker>
						<image :src="upimg" class="upimg"></image>
					</view>
					<view class="lbtabp" v-if="tabidx=='tabl'">
						<picker  range-key='label' :value="talbidx" :range="talxList"  @change='bindDateChangea'>
							<view :class="talx?'':'f16 co80'">{{talx || "提案类型"}}</view>
						</picker>
						<image :src="upimg" class="upimg"></image>
					</view> -->
					<view class="lbtabp">
						<picker mode="date" fields="year"  range-key='label' :value="talbidx"   @change='bindDateChangeb'>
							<view :class="year?'':'f16 co80'">{{year || "选择年份"}}</view>
						</picker>
						<image :src="upimg" class="upimg"></image>
					</view>
				</view>
				<view class="czbtns" @click='getResetFn'>重置</view>
			</view>
		</view>
		<!-- 列表 -->
		<view class="mbox">
			<single-list :datalist="list" :wtdt="wtdt" :tajdlist='tajdlist' type='tncb' @getDetail="getDetail" @getTuiFn="getTuiFn"></single-list>
		</view>
		<!-- 弹窗 -->
		<pop-up :type='ptype' :blfsList="matterList" :blcdlist="blcdlist" :mycdlist="mycdlist"  @getClose="getClose" @getupSubmit="getupSubmit"></pop-up>
	</view>
</template>

<script>
	import { checkPermi, checkRole } from "@/utils/permission"; // 权限判断函数
	import {geturgeListFn} from "@/api/mine/case.js"
	import popUp from "@/work/components/popup/popup.vue"
	import singleList from "@/work/components/single/list.vue"
	import {getDictionaryFn} from "@/api/mine/register.js"
	export default{
		components:{singleList,popUp},
		data(){
			return{
				searchimg: require("@/work/static/images/search.png"),
				ccicoimg:require("@/work/static/images/ccico.png"),
				lbicoimg:require("@/work/static/images/lbico.png"),
				backimg:require("@/work/static/images/back.png"),
				upimg:require("@/work/static/images/up.png"),
				backgroundColor:"#1D64E2",
				tabidx:'jscb',
				tabtype:'',//进度查询
				// {tit:'征集通知',val:0}, 提案催办 目前看所有
				tabList:[
					{tit:'接收催办',val:'jscb',limit:'zxUrge:urge:list'},
					{tit:'发出催办',val:'fccb',limit:'zxUrge:urge:list'},
				],
				// litablist:[{tit:'提案类别',val:0},{tit:'提案类型',val:1},{tit:'单位类型',val:2},{tit:'选择年份',val:3},],
				// {tit:'开始日期',val:1},{tit:'结束日期',val:2},
				// "proposalProgress":"提案进度(0：提交提案，1：提案审查，2：提案立案，3：提案交办，4：办理提案，5：提案反馈，6：办结审核，7：已办结） ",
				nvaHeight:44,
				talbList:[{},],
				taztList:[{label:'是',value:'0'},{label:'否',value:'1'}],
				talxList:[{label:'大会提案',value:'0'},{label:'平时提案',value:'1'}],
				talbidx:'',
				tajd:'',
				tajdidx:'',
				tajdid:'',
				datainfo:{
					talb:'',
				},
				ptype:'',//弹窗类型
				list:[],
				pageSize: 10,
				pageNum: 1,
				reachflag: true,
				wtdt:'',
				tajdlist:[],
				talbid:'',//提案类别id
				talx:'',//提案类型
				talxid:'',
				year:'',//提案时间
				title:'',
				deptTree:[],
				matterList:[],
				blcdlist:[],
				mycdlist:[],
				id:'',
				userId:this.$store.state.user.userId,
				deptId:this.$store.state.user.deptId,
				iteinfo:'',//选择 的数据
			}
		},
		onUnload(){
			uni.$off('refreshlist')
		},
		onLoad(e) {
			this.getDataFn()
			this.init()
			uni.$on('refreshlist', (e) => {
				this.pageNum=1;
				this.list=[];
				this.reachflag=true;
				this.getDataFn()
			})
		},
		// 上拉触底加载更多触发事件
		onReachBottom() {
			if (this.reachflag) {
				this.pageNum++
				this.getDataFn()
			}
		},
		mounted() {
			this.getHeightFn()
		},
		methods:{
			checkPermi, checkRole,
			// 提案状态
			init(){
				getDictionaryFn('proposal_progress').then(res=>{
					if(res.code==200&&res.data.length){
						this.tajdlist = res.data.map(v => {
							return {
								label: v.dictLabel,
								value: v.dictValue
							}
						})
					}
				})
			},
			getConfirm(){
				this.pageNum=1;
				this.list=[];
				this.reachflag=true;
				this.getDataFn()
			},
			getResetFn(){
				this.year='';
				this.title='';
				this.getConfirm()
			},
			getupSubmit(e){
				var that=this;
				var type=this.ptype;
				 if(type=='dffk'||type=='dwdf'){
					var params=JSON.parse(JSON.stringify(e))
					params.proposalId=this.id
					if(this.iteinfo.proposalProgress==7){
						params.cbdwdfwy=params.content;
						getInfoReplywyFn(params).then(res=>{
							if(res.code==200){
								this.$toast("答复反馈成功");
								setTimeout(function(){
									that.ptype='';
									that.pageNum=1;
									that.list=[];
									that.reachflag=true;
									that.getDataFn()
								},1200)	
							}
						})
					}else{
						getInfoReplyFn(params).then(res=>{
							if(res.code==200){
								this.$toast("答复反馈成功");
								setTimeout(function(){
									that.ptype='';
									that.pageNum=1;
									that.list=[];
									that.reachflag=true;
									that.getDataFn()
								},1200)	
							}
						})
					}
				}else if(type=='tacb'){
					var params=JSON.parse(JSON.stringify(e))
					params.scoreId=this.id
					params.urgeType=1
					getInfourgeFn(params).then(res=>{
						if(res.code==200){
							this.$toast("催办成功");
							setTimeout(function(){
								that.ptype='';
								that.pageNum=1;
								that.list=[];
								that.reachflag=true;
								that.getDataFn()
							},1200)	
						}
					})
				}
			},
			getHeightFn(){
				var s=uni.getSystemInfoSync().statusBarHeight;
				let query = uni.createSelectorQuery().in(this);
					//需要给黄色区域设置一个id标识，在这里是demo
				query.select('.navbox').boundingClientRect(data => {
					this.nvaHeight =Number(data.height)//赋值，待会要用
				}).exec();
			},
			getClose(){
				this.ptype=""
			},
			getTabFn(ite){
				this.tabidx=ite.val;
				this.pageNum=1;
				this.list=[],
				this.reachflag=true;
				this.getDataFn()
			},
			getBack(){
				uni.navigateBack({
					delta:1
				})
			},
			getrefreshData(){
				this.pageNum=1;
				this.list=[];
				this.reachflag=true;
				this.getDataFn()
			},
			bindDateChangea(e){
				var val=e.detail.value;
				this.talx=this.talxList[val].label;
				this.talxid=this.talxList[val].value;
				this.getrefreshData()
			},
			bindDateChangeb(e){
				var val=e.detail.value;
				this.year=val;
				this.getrefreshData()
			},
			bindDateChanged(e){
				var val=e.detail.value;
				this.tajd=this.tajdlist[val].label;
				this.tajdid=this.tajdlist[val].value;
				this.getrefreshData()
			},
			getDetail(data){
				// this.$tab.navigateTo('/work/pages/case/details?id='+data+'&f='+this.tabidx)	
			},
			getTuiFn(data){
				var sh=data.sh;
				this.id=data.id;
				var type=data.type;
				var that=this;
				this.ptype=type
			},
			getDataFn(){
				var tab=this.tabidx;
				var params={
					pageSize:this.pageSize,
					pageNum: this.pageNum,
				}
				if(this.title){
					params.title=this.title
				}
				if(this.year){
					params.year=this.year
				}
				if(tab=='jscb'){
					params.acceptDeptId=this.deptId
				}else{
					params.issuerDeptId=this.deptId
				}	
				geturgeListFn(params).then(res=>{
					if(res.code==200){
						if (res.rows.length < this.pageSize) {
							this.reachflag = false
							this.wtdt = '到底了~';
						} else {
							var num = parseInt(res.rows.length) + parseInt(this.pageSize) * parseInt(this.pageNum -	1)
							if (num < res.total) {
								this.reachflag = true
								this.wtdt = '上拉加载更多'
							} else {
								this.reachflag = false
								this.wtdt = '到底了~';
							}
						}
						if (this.pageNum == 1) {
							this.list = res.rows;
						} else {
							this.list = this.list.concat(res.rows)
						}
					}else{
						this.$toast(res.msg)
					}
				}) 
			}
		}
	}
</script>

<style scoped lang="scss">
.navbox{position: fixed;left: 0;right: 0;top: 0;z-index: 4;background-color: $com-cd3;
	.topl{width: 60rpx;height: 60rpx;display: flex;align-items: center;justify-content: center;
		image{width: 40rpx;height: 30rpx;}
	}
	.topr{display: flex;align-items: center;
		image{width: 26rpx;height: 26rpx;margin-right: 12rpx;}
		view{font-weight: 500;font-size: 26rpx;color: #FFFFFF;}
	}
	.tablists{
		overflow: auto;flex-wrap: nowrap;
		view{font-weight: bold;font-size: 26rpx;color: #FFFFFF;position: relative;flex: 1 0 auto;padding: 22rpx 24rpx;margin-right: 6rpx;box-sizing: border-box;text-align: center;
			&:last-child{margin-right: 0;}
			&.act{font-size: 30rpx;
				&::after{content: '';width: 62rpx;height: 10rpx;background: #FFFFFF;border-radius: 4rpx;left: 50%;margin-left: -31rpx;bottom: 0rpx;position: absolute;}
			}
		}
	}
	.lbtab{height: 114rpx;background: #FFFFFF;border-radius: 30rpx;padding-left: 24rpx;position: absolute;left:24rpx;right: 24rpx;bottom: -58rpx;
		.limg{width: 40rpx;height: 34rpx;margin-right: 10rpx;flex:0 0 auto;}
		.lbtabs{overflow: auto;flex-wrap: nowrap;flex: 1;
			.lbtabp{display: flex;align-items: center;flex: 1 0 auto;margin-right: 24rpx;}
			.upimg{width: 18rpx;height: 10rpx;}
			
		}
	}
}
.mbox{padding:58rpx 24rpx 28rpx;}
.lbtabs /deep/ picker{padding: 0 18rpx;}
</style>